import { OnInit } from "@angular/core";
import { FormControl } from "@angular/forms";
import { MatDialogRef } from "@angular/material/dialog";
import { ReplaySubject, Subject } from "rxjs";
import { TranslateLibraryService } from "../../services/translation-registry.service";
export interface Task {
    name: string;
    checked: boolean;
    subtasks?: any;
}
export declare class SelectDialog implements OnInit {
    trans: TranslateLibraryService;
    dialogRef: MatDialogRef<SelectDialog>;
    data: any;
    LANG: any;
    task: Task;
    allComplete: boolean;
    taskFilterCtrl: FormControl;
    /** list of filtered by search keyword */
    filteredTask: ReplaySubject<[]>;
    protected _onDestroy: Subject<void>;
    constructor(trans: TranslateLibraryService, dialogRef: MatDialogRef<SelectDialog>, data: any);
    ngOnInit(): void;
    protected filterBanks(): void;
    updateAllComplete(): void;
    someComplete(): boolean;
    setAll(checked: boolean): void;
    isEllipsisActive(e: HTMLElement): boolean;
    filterFunction(listTask: any): any;
    removeCheckedNodeList(item: any): void;
    onCloseClick(): void;
    onAddClick(): void;
}
